package com.pwt.common.enums;

/**
 * @author linyun
 * @version V1.0
 * @Title: BatteryType
 * @Description: 电池类型
 * @date 2022/11/30
 **/
public enum BatteryType {
    TYPE1(1, "铅酸电池 Lead-acidbattery"),
    TYPE2(2, "镍氢电池 NI-MH Battery"),
    TYPE3(3, "磷酸铁锂电池 LEP"),
    TYPE4(4, "锰酸锂电池"),
    TYPE5(5, "钴酸锂电池"),
    TYPE6(6, "三元材料电池 NCM"),
    TYPE7(7, "聚合物锂离子电池 Polymerli-ion battery"),
    TYPE8(8, "钛酸锂电池"),
    TYPE9(9, "超级电容 Super-capaciyor"),
    TYPE10(10, "Reserved"),
    TYPE11(11, "Reserved"),
    TYPE12(12, "Reserved"),
    TYPE13(13, "Reserved"),
    TYPE14(14, "燃料电池 Fuel battery"),
    TYPE15(15, "其他车载储能装置"),
    ;

    private int code;
    private String type;


    public int getCode()
    {
        return code;
    }

    public String getType()
    {
        return type;
    }

    BatteryType(int code, String type)
    {
        this.code = code;
        this.type = type;
    }
}

